Find the answer to your Linux question:
Results 1 to 2 of 2
By Default I have urpmi installed with the mandrake 9.2. urpmi.cfg says this by default Installation\ CD1\ HP\ (cdrom1) removable://mnt/cdrom/Mandrake/RPMS { hdlist: hdlist.Installation CD1 HP (cdrom1).cz with_hdlist: ../../Mandrake/base/hdlist1.cz removable: /dev/scd0 ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Dec 2005
    Posts
    2

    Problems with urpmi on mandrake 9.2


    By Default I have urpmi installed with the mandrake 9.2.

    urpmi.cfg says this by default

    Installation\ CD1\ HP\ (cdrom1) removable://mnt/cdrom/Mandrake/RPMS {
    hdlist: hdlist.Installation CD1 HP (cdrom1).cz
    with_hdlist: ../../Mandrake/base/hdlist1.cz
    removable: /dev/scd0
    key-ids: 70771ff3
    }

    Installation\ CD2\ HP\ (cdrom2) removable://mnt/cdrom/Mandrake/RPMS2 {
    hdlist: hdlist.Installation CD2 HP (cdrom2).cz
    with_hdlist: ../../Mandrake/base/hdlist2.cz
    removable: /dev/scd0
    key-ids: 70771ff3
    }

    Contrib\ &\ Commercial\ Apps\ CD\ HP\ (cdrom3) removable://mnt/cdrom/Mandrake/RPMS3 {
    hdlist: hdlist.Contrib & Commercial Apps CD HP (cdrom3).cz
    with_hdlist: ../../Mandrake/base/hdlist3.cz
    removable: /dev/scd0
    key-ids: 70771ff3
    }

    Contrib\ &\ Commercial\ Apps\ CD\ HP\ (cdrom4) removable://mnt/cdrom/Mandrake/RPMS4 {
    hdlist: hdlist.Contrib & Commercial Apps CD HP (cdrom4).cz
    with_hdlist: ../../Mandrake/base/hdlist4.cz
    removable: /dev/scd0
    key-ids: 70771ff3
    }

    Contrib\ &\ Commercial\ Apps\ CD\ HP\ (cdrom5) removable://mnt/cdrom/Mandrake/RPMS5 {
    hdlist: hdlist.Contrib & Commercial Apps CD HP (cdrom5).cz
    with_hdlist: ../../Mandrake/base/hdlist5.cz
    removable: /dev/scd0
    key-ids: 70771ff3
    }


    What I did was

    #urpmi.removemedia -a

    This emptied the urpmi.cfg file

    then i Setup the urpmi using Easyurmi (http://easyurpmi.zarb.org/) web-based tool.

    I Selected Madriva Version as 9.2 and i586
    Selected contrib, main and updates

    and added the follwoing command in shell

    urpmi.addmedia --update updates ftp://ftp.caliu.info/pub/distribucio.../main_updates/ with media_info/hdlist.cz

    urpmi.addmedia main ftp://ftp.caliu.info/pub/distribucio...586/media/main with media_info/hdlist.cz

    urpmi.addmedia contrib ftp://ftp.caliu.info/pub/distribucio.../media/contrib with media_info/hdlist.cz

    now when i do
    #urpmi php

    I get

    [root@mybox sriram]# urpmi php
    One of the following packages is needed:
    1- php-cgi-5.0.4-9.1.20060mdk.i586
    2- php-cli-5.0.4-9.1.20060mdk.i586
    3- php-fcgi-5.0.4-9.1.20060mdk.i586
    4- apache-mod_php-2.0.54_5.0.4-4mdk.i586
    What is your choice? (1-4) 1

    One of the following packages is needed:
    1- koffice-l10n-de-1.4.1-20mdk.noarch
    2- koffice-l10n-en-1.4.1-11mdk.noarch
    3- koffice-i18n-hsb-1.3.5-10mdk.noarch
    4- koffice-i18n-ven-1.3.91-10mdk.noarch
    5- koffice-i18n-xh-1.3.91-10mdk.noarch
    6- koffice-l10n-en_GB-1.4.1-11mdk.noarch
    7- koffice-i18n-zh_TW-1.3.91-10mdk.noarch
    8- koffice-l10n-nb-1.4.1-20mdk.noarch

    list goes till 49

    What is your choice? (1-49) 2

    The following packages have to be removed for others to be upgraded:
    OpenOffice.org-1.1-0.rc4.2mdk.i586 (due to missing ghostscript, due to unsatisfied OpenOffice.org-l10n == 1.1)
    OpenOffice.org-help-en-1.1-0.rc4.2mdk.i586 (due to unsatisfied OpenOffice.org == 1.1)
    OpenOffice.org-l10n-de-1.1-0.rc4.2mdk.i586 (due to missing urw-fonts, due to unsatisfied OpenOffice.org == 1.1)
    OpenOffice.org-l10n-en-1.1-0.rc4.2mdk.i586 (due to missing urw-fonts, due to unsatisfied OpenOffice.org == 1.1)
    XFree86-75dpi-fonts-4.3-23mdk.i586 (due to missing chkfontpath[*])
    XFree86-server-4.3-23mdk.i586 (due to missing XFree86-xfs)
    dia-0.91-8mdk.i586 (due to missing XFree86-ISO8859-2-75dpi-fonts)
    fonts-ttf-decoratives-1.3-12mdk.noarch (due to unsatisfied chkfontpath >= 1.4.1)fonts-ttf-west_european-1.3-12mdk.noarch (due to unsatisfied chkfontpath >= 1.4.1)
    gnome-print-0.37-4mdk.i586 (due to missing urw-fonts[*])
    gnome-telnet-2.4-5mdk.i586 (due to unsatisfied gnome-core >= 1.0.0)
    gnome2-2.4.0-3mdk.noarch (due to unsatisfied nautilus >= 2.4.0)
    gnucash-1.8.6-1mdk.i586 (due to missing libgnomeprint.so.15, due to missing libgtkhtml-1.1.so.3, due to missing libgnc-app-file-gnome.so.0, due to missing libgncmodule.so.0, due to unsatisfied libgnucash0 >= 1.8.6-1mdk)
    kdenetwork-kmail-3.1.3-37mdk.i586 (due to missing libkdenetwork.so.2)
    kdenetwork-knode-3.1.3-37mdk.i586 (due to unsatisfied kdenetwork-common == 3.1.3-37mdk)
    kdenetwork-korn-3.1.3-37mdk.i586 (due to unsatisfied libkdenetwork2-common == 3.1.3-37mdk)
    koffice-i18n-en_GB-1.3-0.beta3.1mdk.noarch (due to missing koffice)
    libMagick5.5.7-5.5.7.10-7mdk.i586 (due to missing libwmflite-0.2.so.7)
    libMesaGLU1-devel-5.0.1-5mdk.i586 (due to missing devel(libGL), due to missing devel(libX11))
    libgnomeprint15-0.37-4mdk.i586 (due to unsatisfied gnome-print >= 0.37-4mdk)
    libgnucash0-1.8.6-1mdk.i586 (due to missing libgncmod-app-file.so.0, due to missing libgncmod-backend-file.so.0, due to missing libgncmod-engine.so.0, due to missing libgncmod-gnome-search.so.0, due to missing libgncmod-ledger-core.so.0, due to missing libgncmod-report-gnome.so.0, due to missing libgncmod-report-system.so.0)
    libgtkhtml1.1_3-1.1.10-4mdk.i586 (due to missing libgnomeprint.so.15)
    libwmf-0.2.8-4mdk.i586 (due to missing libwmf-0.2.so.7, due to missing libwmflite-0.2.so.7)
    libwmf0.2_7-0.2.8-4mdk.i586 (due to missing urw-fonts, due to unsatisfied libwmf == 0.2.8-4mdk)
    mandrake-galaxy-9.2-8mdk.i586 (due to unsatisfied xinitrc >= 2.4.4-72mdk)
    mandrake_doc-en-9.2-0.9mdk.noarch (due to missing mandrake_doc-common)
    mplayer-0.91-7.1.92mdk.i586 (due to missing XFree86)
    mplayer-gui-0.91-7.1.92mdk.i586 (due to unsatisfied mplayer == 0.91-7.1.92mdk)
    nautilus-2.4.0-1mdk.i586 (due to unsatisfied drakxtools-newt >= 1.1.7-46mdk)
    nautilus-cd-burner-0.5.3-1mdk.i586 (due to missing nautilus)
    rpm-python-4.2-18mdk.i586 (due to unsatisfied rpm == 4.2-18mdk)
    rpmlint-0.52-1mdk.noarch (due to unsatisfied rpm-python >= 3.0.3-35mdk) (y/N) y

    rpmtools-5.0.24-1mdk.i586
    sane-backends-1.0.16-5mdk.i586
    soundwrapper-1.3-3mdk.i586
    sox-12.17.8-1mdk.i586
    spamassassin-3.0.4-3.2.20060mdk.i586
    tcp_wrappers-7.6-26mdk.i586
    telnet-client-krb5-1.4.2-1mdk.i586
    telnet-server-krb5-1.4.2-1mdk.i586
    tpctl-4.17-1mdk.i586
    update-alternatives-1.8.3-2mdk.noarch
    urpmi-4.7.15-1mdk.noarch
    urw-fonts-2.0-15.1mdk.noarch
    userdrake-1.2.1-2mdk.i586
    wordnet-2.0-5mdk.i586
    xinitrc-2.4.14-1mdk.noarch
    xorg-x11-6.9-1.cvs20050915.2mdk.i586
    xorg-x11-xauth-6.9-1.cvs20050915.2mdk.i586
    xorg-x11-xfs-6.9-1.cvs20050915.2mdk.i586
    xscreensaver-4.22-5mdk.i586
    Is this OK? (Y/n) y

    Then it keeps running some package

    20% of 1232k completed, ETA = 0:02:17, speed = 5469

    Can some one please help ???


    I have searched on google and other Forums and IRC but i am not able to get through

    Thanks

    Sriram Sreedhar


    http://unixdesk.blogspot.com

  2. #2
    Just Joined!
    Join Date
    Dec 2005
    Posts
    2

    This has been resolved

    Guys,

    This has been resolved I used 2006 which does not support 9.2

    So I selected 9.2 this time from easyurpmi this did the trick also i selected main and contrib

    Every time i use urpmi <package>

    I auto searches for any updates from other sites

    [root@mybox conf]# urpmi postgresql
    To satisfy dependencies, the following packages are going to be installed (2 MB):
    postgresql-7.3.4-2mdk.i586
    sfio-1999-9mdk.i586
    Is this OK? (Y/n) y
    medium "contrib" uses an invalid list file:
    mirror is probably not up-to-date, trying to use alternate method

    ftp://ftp.is.co.za/mirror/mandrivali...-9mdk.i586.rpm
    ftp://ftp.is.co.za/mirror/mandrivali...-2mdk.i586.rpm
    installing /var/cache/urpmi/rpms/postgresql-7.3.4-2mdk.i586.rpm /var/cache/urpmi/rpms/sfio-1999-9mdk.i586.rpm
    Preparing... ##################################################
    1:sfio ##################################################
    2ostgresql ##################################################


    Regards
    Sriram Sreedhar

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •